<dom-module id="sc-scrollable-box">

    <template>
        <content></content>
    </template>

    <script>

        Polymer({

            is: 'sc-scrollable-box',

            behaviors: [
                Polymer.IronScrollTargetBehavior
            ],

            _scrollHandler: function() {
                this.fire(
                  'iron-signal',
                  {
                    name: 'scrolling',
                    data: {
                        leftEdge: this._scrollLeft,
                        container: this.parentElement
                    }
                  }
                );
            }

        });

        </script>

</dom-module>
